/*
 *   FreeAdhocUDF - copyright (c) 2004/2008 adhoc dataservice GmbH
 *   Christoph Theuring / Peter Mandrella / Georg Horn
 *   (bug-)reports only to udf@adhoc-data.de
 *      based on FreeUDFLibC - copyright (c) 1999 Gregory Deatz
 *   Declarations script for all FreeAdhocUDF UDFs
 *   length of some cstring = 8190 or 4095
 *   because so you can use one this UDF 4 (8) times in a piped string
 *   4 x 8190 = 32760 < 32762 (15 bit - 6 byte internal use)
 *   Functions in alphabetical order
 */


/******************************************************************************/
/****                   User Defined Functions - other functions           ****/
/******************************************************************************/

DECLARE EXTERNAL FUNCTION F_IF
    CSTRING(32),
    CSTRING(8),
    CSTRING(32),
    CSTRING(8190),
    CSTRING(8190)
    RETURNS CSTRING(8190) FREE_IT
    ENTRY_POINT 'aif' MODULE_NAME 'FreeAdhocUDF';

DECLARE EXTERNAL FUNCTION F_VERSION
    RETURNS CSTRING(254) FREE_IT
    ENTRY_POINT 'version' MODULE_NAME 'FreeAdhocUDF';

