/*
 *   FreeAdhocUDF - copyright (c) 2004/2008 adhoc dataservice GmbH
 *   Christoph Theuring / Peter Mandrella / Georg Horn
 *   (bug-)reports only to udf@adhoc-data.de
 *      based on FreeUDFLibC - copyright (c) 1999 Gregory Deatz
 *   Declarations script for all FreeAdhocUDF UDFs
 *   length of some cstring = 8190 or 4095
 *   because so you can use one this UDF 4 (8) times in a piped string
 *   4 x 8190 = 32760 < 32762 (15 bit - 6 byte internal use)
 *   Functions in alphabetical order
 */

/******************************************************************************/
/****              User Defined Functions - constant functions             ****/
/******************************************************************************/

DECLARE EXTERNAL FUNCTION F_PI
    RETURNS DOUBLE PRECISION BY VALUE
ENTRY_POINT 'pi' MODULE_NAME 'FreeAdhocUDF';

DECLARE EXTERNAL FUNCTION F_E
    RETURNS DOUBLE PRECISION BY VALUE
ENTRY_POINT 'euler' MODULE_NAME 'FreeAdhocUDF';

DECLARE EXTERNAL FUNCTION F_C
    RETURNS INTEGER BY VALUE
ENTRY_POINT 'c' MODULE_NAME 'FreeAdhocUDF';

DECLARE EXTERNAL FUNCTION F_G
    RETURNS DOUBLE PRECISION BY VALUE
ENTRY_POINT 'g' MODULE_NAME 'FreeAdhocUDF';

DECLARE EXTERNAL FUNCTION F_K
    RETURNS DOUBLE PRECISION BY VALUE
ENTRY_POINT 'k' MODULE_NAME 'FreeAdhocUDF';

